Subject: Re: [PATCH v2] Documentation: rw_lock lessons learned

From: William Allen Simpson <[email-masked]>
Date: Fri, 11 Dec 2009 12:01:16 -0500

William Allen Simpson wrote:
> In recent weeks, two different network projects erroneously
> strayed down the rw_lock path.  Update the Documentation
> based upon comments by Eric Dumazet and Paul E. McKenney in
> those threads.
> 
> Merged with editorial changes by Stephen Hemminger.
> 
> Signed-off-by: [email-masked]
> Acked-by: Paul E. McKenney <[email-masked]>
> 
A month ago, I'd taken the final line "Ho humm.." of Linus'
response to mean he wasn't interested.  But at the local
discussion yesterday, I'm told that's just a typical Linusism.

The thread diverged into discussion of another document entirely.

I'm not the person to update this document with any of the other
information about global locks and tasklists and such.  But surely
somebody else could handle that in another patch.

Anybody have answers/updates to Linus's concerns about "pretty old
and bogus language"?  Would folks be interested in the update?
Does anybody know which list(s) would be better for discussion?